// ---------------------------------------------------------------------------
// Example NewPing library sketch that does a ping about 20 times per second.
// ---------------------------------------------------------------------------

#include <NewPing.h>

#define TRIGGER_PIN  12  // Arduino pin tied to trigger pin on the ultrasonic sensor.
#define ECHO_PIN     11  // Arduino pin tied to echo pin on the ultrasonic sensor.
#define MAX_DISTANCE 75 // Maximum distance we want to ping for (in centimeters). Maximum sensor distance is rated at 400-500cm.

NewPing sonar(TRIGGER_PIN, ECHO_PIN, MAX_DISTANCE); // NewPing setup of pins and maximum distance.
int distance = 0;
int lastdistance = 0;

void setup() 
{
  Serial.begin(115200); // Open serial monitor at 115200 baud to see ping results.
}

void loop() 
{
  delay(500);                     // Wait 500ms between pings (about 2 pings/sec). 29ms should be the shortest delay between pings.
  distance = (sonar.ping_cm()); // Send ping, get distance in cm and print result (0 = outside set distance range)
  if ((distance != 0) && (distance != lastdistance)) //Moving cat detected, we will add && operator to do final check for currently playing sound byte when we compile individual sketches
  {
    Serial.print("Cat sighted: ");
    Serial.print(distance); 
    Serial.println("cm");
    lastdistance = distance;
  }
}
